Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041543
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorsometimes2019-08-05 10:472019-09-27 15:35
ReporterplujanView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision6369173ffb33
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041543: "getAttribute: Session already invalidated" message on some Selenium tests on login

DescriptionSometimes, we are getting an error about "getAttribute: Session already invalidated" just after clicking the Login button.
Steps To ReproduceThere are no steps other than trying to log in using a Selenium test. The output log (openbravo log) shows a trace like this:

2019-07-19 04:37:00,772 [http-5] ERROR org.openbravo.dal.core.ThreadHandler - getAttribute: Session already invalidated
java.lang.IllegalStateException: getAttribute: Session already invalidated
    at org.apache.catalina.session.StandardSession.getAttribute(StandardSession.java:1179) ~[tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.session.StandardSessionFacade.getAttribute(StandardSessionFacade.java:103) ~[tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.openbravo.dal.core.OBContext.setOBContext(OBContext.java:411) ~[classes/:?]
    at org.openbravo.dal.core.DalRequestFilter$1.doBefore(DalRequestFilter.java:81) ~[classes/:?]
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:45) [classes/:?]
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:108) [classes/:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.logging.log4j.web.Log4jServletFilter.doFilter(Log4jServletFilter.java:71) [log4j-web-2.11.1.jar:2.11.1]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:200) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:493) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:137) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:81) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:343) [tomcat8-catalina-8.5.39.jar:8.5.39]
    at org.apache.coyote.ajp.AjpProcessor.service(AjpProcessor.java:476) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:806) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1498) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49) [tomcat8-coyote-8.5.39.jar:8.5.39]
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128) [?:?]
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628) [?:?]
    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) [tomcat8-util-8.5.39.jar:8.5.39]
    at java.lang.Thread.run(Thread.java:834) [?:?]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0114807)
hgbot (developer)
2019-09-26 14:40

Repository: erp/devel/pi
Changeset: 6369173ffb335286da949a5c07d4b6c3d4e84eed
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Sep 26 14:39:08 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6369173ffb335286da949a5c07d4b6c3d4e84eed [^]

fixed issue 41543: failed request setting OBContext on invalidated session

  Even harmless, this makes CI tests to fail. Now information about the URI requested
  is logged so that it can be properly handled in CI for known cases while contienue
  reporting other unknowns.

---
M src/org/openbravo/dal/core/DalRequestFilter.java
---
(0114828)
caristu (developer)
2019-09-27 09:04

Reviewed
(0114850)
hudsonbot (developer)
2019-09-27 15:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bb02a9054b3 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-08-05 10:47 plujan New Issue
2019-08-05 10:47 plujan Assigned To => platform
2019-08-05 10:47 plujan Modules => Core
2019-08-05 10:47 plujan Triggers an Emergency Pack => No
2019-09-26 14:39 alostale Assigned To platform => alostale
2019-09-26 14:40 alostale Review Assigned To => caristu
2019-09-26 14:40 hgbot Checkin
2019-09-26 14:40 hgbot Note Added: 0114807
2019-09-26 14:40 hgbot Status new => resolved
2019-09-26 14:40 hgbot Resolution open => fixed
2019-09-26 14:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6369173ffb335286da949a5c07d4b6c3d4e84eed [^]
2019-09-27 09:04 caristu Note Added: 0114828
2019-09-27 09:04 caristu Status resolved => closed
2019-09-27 09:04 caristu Fixed in Version => 3.0PR19Q4
2019-09-27 15:35 hudsonbot Checkin
2019-09-27 15:35 hudsonbot Note Added: 0114850


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker